VO (My VREs Portlet 1.3.0-SNAPSHOT API)
Date: 2014-10-26

org.gcube.portlet.user.my_vres.shared

## Class VO

- java.lang.Object
- - org.gcube.portlet.user.my_vres.shared.ResearchEnvironment
  - - org.gcube.portlet.user.my_vres.shared.VO

- All Implemented Interfaces:
    Serializable, Comparable<VO>

      public class VO
      extends ResearchEnvironment
      implements Comparable<VO>, Serializable

  Version:
    2.0 Jan 10th 2012
  Author:
    Massimiliano Assante ISTI-CNR
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VO()`
    `VO(String voName, String description, String imageURL, String vomsGroupName, String friendlyURL, UserBelonging userBelonging, boolean isRoot, ArrayList<VRE> vres)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addVRE(VRE toAdd)`
    `int` | `compareTo(VO voToCompare)` compare the number of vres
    `ArrayList<VRE>` | `getVres()`
    `boolean` | `isRoot()`
    `void` | `setRoot(boolean isRoot)`
    `void` | `setVres(ArrayList<VRE> vres)`

    - ### Methods inherited from class org.gcube.portlet.user.my_vres.shared.ResearchEnvironment

      `getDescription, getFriendlyURL, getGroupName, getImageURL, getName, getUserBelonging, setDescription, setFriendlyURL, setGroupName, setImageURL, setName, setUserBelonging`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VO

          public VO()

    - #### VO

          public VO(String voName,
            String description,
            String imageURL,
            String vomsGroupName,
            String friendlyURL,
            UserBelonging userBelonging,
            boolean isRoot,
            ArrayList<VRE> vres)

      Parameters:
        `voName` - .
        `description` - .
        `imageURL` - .
        `vomsGroupName` - .
        `friendlyURL` - .
        `userBelonging` - .
        `isRoot` - .
        `vres` - .

  - ### Method Detail

    - #### isRoot

          public boolean isRoot()

    - #### setRoot

          public void setRoot(boolean isRoot)

    - #### getVres

          public ArrayList<VRE> getVres()

    - #### setVres

          public void setVres(ArrayList<VRE> vres)

    - #### addVRE

          public void addVRE(VRE toAdd)

      Parameters:
        `toAdd` -

    - #### compareTo

          public int compareTo(VO voToCompare)

      compare the number of vres
      Specified by:
        `compareTo` in interface `Comparable<VO>`

Copyright © 2014. All Rights Reserved.